Bug 76696 - Impossible to create an Index
Summary: Impossible to create an Index
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-03-27 15:52 UTC by Urmas
Modified: 2014-07-09 23:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-03-27 15:52:24 UTC
1. Insert/Indexes and Tables/Indexes and Tables...
2. Change the type to "Alphabetical Index", then press OK

The Table of Contents is inserted, instead of Index.
Comment 1 Michael Stahl (CIB) 2014-04-29 14:27:41 UTC
regression from:

commit 6af1e845baa0ec63ce16f25868e5e3313bd647bb
Author:     Matteo Casalin <matteo.casalin@yahoo.com>
AuthorDate: Sun Mar 23 22:08:32 2014 +0100

    sal_uInt16 to sal_(u)Int32 + some constifications

fixed on master
Comment 2 Commit Notification 2014-04-29 14:28:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ccfbc9e1791dd764bb06b87b3c65a7d2b76a35f2

fdo#76696: CurTOXType::GetFlatIndex(): fix inverted conditional



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.